package com.dgtly.wxportal.domain;

import com.dgtly.wxportal.config.JsonBigDecimalSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author: csz
 * @Date: 2021/3/8 13:41
 */
public class ConfirmCollectQueryDeliverLineModel implements Serializable {

    //  物料名称
    private String materialName;
    //    规格
    private String sizeDim;
    //  数量
    @JsonSerialize(using = JsonBigDecimalSerializer.class)
    private BigDecimal deliveryCount = new BigDecimal(0);
    //    确认到货数量
    @JsonSerialize(using = JsonBigDecimalSerializer.class)
    private BigDecimal confirmQuantity = new BigDecimal(0);

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getSizeDim() {
        return sizeDim;
    }

    public void setSizeDim(String sizeDim) {
        this.sizeDim = sizeDim;
    }

    public BigDecimal getDeliveryCount() {
        return deliveryCount;
    }

    public void setDeliveryCount(BigDecimal deliveryCount) {
        this.deliveryCount = deliveryCount;
    }

    public BigDecimal getConfirmQuantity() {
        return confirmQuantity;
    }

    public void setConfirmQuantity(BigDecimal confirmQuantity) {
        this.confirmQuantity = confirmQuantity;
    }
}
